# $Revision: 1.71 $, $Date: 2011/05/20 14:59:22 $
#
# Conditional build:
%bcond_with	xmlrpc		# enable XmlRpc functionality
%bcond_without	unicode		# unicode version of wxGTK2
#
Summary:	CHM viewer for UNIX
Summary(pl.UTF-8):	Przeglądarka CHM dla Uniksów
Name:		xchm
Version:	1.20
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/xchm/%{name}-%{version}.tar.gz
# Source0-md5:	85943645d20af536704a20b58ebd5849
Source1:	%{name}.desktop
Patch0:		%{name}-pl.po-update.patch
URL:		http://xchm.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	chmlib-devel
BuildRequires:	gettext-devel >= 0.14.3
BuildRequires:	wxGTK2-%{?with_unicode:unicode-}devel >= 2.8.0
%if %{with xmlrpc}
# for configure check
BuildRequires:	openssl-devel
BuildRequires:	xmlrpc++-devel
%endif
Requires(post,postun):	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xCHM is a CHM viewer for UNIX, based on Jed Wing's CHMLIB and written
with wxWidgets.

%description -l pl.UTF-8
xCHM to przeglądarka plików CHM dla Uniksa, napisana w oparciu o
CHMLIB Jeda Winga, z użyciem wxWidgets.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_xmlrpc:--enable-xmlrpc} \
	WX_CONFIG_NAME=%{_bindir}/wx-gtk2-%{!?with_unicode:ansi}%{?with_unicode:unicode}-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install art/xchm-48.xpm	$RPM_BUILD_ROOT%{_pixmapsdir}/xchm.xpm
install %{SOURCE1}	$RPM_BUILD_ROOT%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{pt_PT,pt}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README %{?with_xmlrpc:README.xmlrpc}
%attr(755,root,root) %{_bindir}/xchm
%{_desktopdir}/xchm.desktop
%{_pixmapsdir}/xchm*.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xchm.spec,v $
Revision 1.71  2011/05/20 14:59:22  qboosh
- updated to 1.20
- added pl.po-update patch

Revision 1.70  2011/01/14 16:01:26  qboosh
- updated to 1.18

Revision 1.69  2009/05/27 18:59:20  adamg
- updated to 1.17

Revision 1.68  2009/05/17 13:46:31  witekfl
- up to 1.16
- added the inttypes.patch. Before the compiler didn't find uint32_t and others.

Revision 1.67  2009/04/15 15:49:01  duddits
- up to 1.15
- compile.patch obsolete

Revision 1.66  2008/07/13 19:53:45  megabajt
- added MimeType entry to desktop file
- changed group to X11/Applications
- release 2

Revision 1.65  2008/01/05 10:31:44  sls
- ver. 1.14

Revision 1.64  2007/05/14 19:40:22  qboosh
- updated to 1.13

Revision 1.63  2007/04/15 10:41:26  qboosh
- removed obsolete pl.po-update patch

Revision 1.62  2007/04/10 12:56:23  twittner
- up to 1.12
- -pl.po.patch commented out for now - it doesn't apply and probably
  is marged into sources (according to changelog)

Revision 1.61  2007/03/29 20:03:29  qboosh
- updated gettext version

Revision 1.60  2007/03/29 17:41:38  qboosh
- added pl.po-update patch

Revision 1.59  2007/03/20 20:25:00  sls
- adapterized

Revision 1.58  2007/03/20 19:54:43  sls
- package README.xmlrpc

Revision 1.57  2007/03/20 19:36:55  sls
- building with wx-unicode and added bcond unicode
- rel. 1

Revision 1.56  2007/03/20 19:25:51  sls
- added compile.patch

Revision 1.55  2007/03/20 19:06:37  sls
- added bcond xmlrpc

Revision 1.54  2007/03/20 18:51:56  sls
- ver. 1.11

Revision 1.53  2007/03/10 14:57:35  qboosh
- unixODBC is wxWidgets dependency

Revision 1.52  2007/02/24 08:42:24  sls
- BR: unixODBC-devel

Revision 1.51  2007/02/18 19:06:55  qboosh
- updated to 1.10

Revision 1.50  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.49  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.48  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.47  2006/06/14 08:01:41  maciek2w
- update do 1.9
- xchm-pl.po-update.patch already applied
- STBR

Revision 1.46  2006/05/27 16:58:19  qboosh
- updated to 1.8, updated pl.po-update patch

Revision 1.45  2006/04/16 09:43:44  qboosh
- added pl.po-update patch

Revision 1.44  2006/04/12 08:29:31  maciek2w
- updated to 1.7.1

Revision 1.43  2006/04/06 10:38:53  maciek2w
- updated to 1.6

Revision 1.42  2006/03/05 18:32:08  maciek2w
- updated to 1.4
- pl.po patch already in sources
- STBR

Revision 1.41  2006/01/29 16:24:35  twittner
- apply patch (was commented out)

Revision 1.40  2006/01/29 16:21:51  twittner
- up to 1.3

Revision 1.39  2005/08/31 14:02:15  pawcioos
- updated to 1.2

Revision 1.38  2005/08/27 20:24:44  qboosh
- added pl.po-update patch

Revision 1.37  2005/08/27 14:25:23  paladine
- updated to 1.1

Revision 1.36  2005/06/06 16:22:28  koorek
- updated to 1.0

Revision 1.35  2005/05/03 12:37:44  qboosh
- release 2 for wx 2.6.0

Revision 1.34  2005/05/02 12:06:34  troll
- description fixes

Revision 1.33  2005/02/22 19:48:55  qboosh
- use wxWidgets 2.5.x

Revision 1.32  2005/02/21 23:11:52  adamg
- updated to 0.9.8

Revision 1.31  2004/12/24 00:03:24  adamg
- updated to 0.9.7

Revision 1.30  2004/11/02 09:41:58  paladine
- updated to 0.9.6

Revision 1.29  2004/10/30 09:55:38  paladine
- pl fix

Revision 1.28  2004/09/21 21:08:37  paladine
- updated to 0.9.5
- added desktop file

Revision 1.27  2004/09/02 21:23:41  qboosh
- fixed md5

Revision 1.26  2004/09/02 09:27:33  paszczus
- updated to 0.9.4

Revision 1.25  2004/07/20 14:34:25  areq
- 0.9.3

Revision 1.24  2004/07/07 17:31:59  qboosh
- removed obsolete pl.po (merged)

Revision 1.23  2004/07/07 12:37:00  areq
- 0.9.2

Revision 1.22  2004/04/09 16:17:42  adamg
- updated to 0.9.1

Revision 1.21  2004/03/01 22:24:58  qboosh
- updated to 0.9 (now with i18n)
- added pl.po

Revision 1.20  2004/01/24 16:41:11  adamg
- updated to 0.8.11

Revision 1.19  2004/01/06 12:20:50  adamg
- updated to 0.8.10

Revision 1.18  2003/12/06 20:38:32  undefine
- update to 0.8.9

Revision 1.17  2003/11/08 09:13:01  adamg
- updated to 0.8.8

Revision 1.16  2003/11/02 12:34:08  areq
-release 2, rebuild NEST

Revision 1.15  2003/10/25 09:51:05  areq
- 0.8.7

Revision 1.14  2003/10/14 09:53:34  adamg
- updated to 0.8.6

Revision 1.13  2003/10/07 18:55:49  adamg
- updated to 0.8.5

Revision 1.12  2003/10/02 09:20:31  adamg
- updated to 0.8.4

Revision 1.11  2003/09/27 11:14:49  adamg
- updated to 0.8.3

Revision 1.10  2003/09/24 14:40:31  areq
- 0.8.2

Revision 1.9  2003/09/14 12:33:55  areq
- 0.8.1

Revision 1.8  2003/09/04 16:47:45  areq
- 0.8

Revision 1.7  2003/08/28 21:43:30  areq
- 0.7

Revision 1.6  2003/08/17 09:10:11  areq
- 0.6.3

Revision 1.5  2003/08/15 12:30:37  areq
- 0.6.2

Revision 1.4  2003/08/10 12:48:31  areq
- 0.6.1

Revision 1.3  2003/08/06 15:54:00  areq
- 0.6

Revision 1.2  2003/08/04 19:47:33  qboosh
- updated to 0.5.2
- added configure patch, use wxGTK2 - builds and works :)

Revision 1.1  2003/08/03 09:48:02  areq
- start PLD spec, NFY
